
//    Test TFT LCD 
//    Modelmen.ru

#include <TFT.h>  // Arduino LCD library
#include <SPI.h>

#define cs   10
#define dc   9
#define rst  8  


float last_time = 0;
 
  
TFT TFTscreen = TFT(cs, dc, rst);
   
 
void setup() {
  TFTscreen.begin();
  TFTscreen.background(0, 0, 0);  
}   
  

void loop(){

  last_time = last_time + 1;

if(last_time == 2)
{
  TFTscreen.setTextSize(4); 
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.text("Aos", 40, 40);  
}
  
if(last_time == 5)
{
  TFTscreen.setTextSize(1.2); 
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.text("Loading", 40, 90);  
}

if(last_time == 6)
{
  TFTscreen.point(90, 95);  delay(500);
  TFTscreen.point(95, 95);  delay(500);
  TFTscreen.point(100, 95);  delay(500);
  TFTscreen.point(105, 95);  delay(500);
  TFTscreen.point(110, 95);  delay(500);
}

if(last_time == 7)
{
  TFTscreen.background(0, 0, 0);
}
  

if(last_time == 9)
{
  TFTscreen.setTextSize(4); 
  TFTscreen.stroke(100, 255, 243); // set the font color
  TFTscreen.text("Hello!", 10, 30);  
}

if(last_time == 11)
{
  TFTscreen.setTextSize(3); 
  TFTscreen.stroke(100, 100, 255); // set the font color
  TFTscreen.text("YouTube!", 10, 70);  
}


if(last_time == 15)
{
  TFTscreen.background(0, 0, 0);
}

if(last_time == 16)
{
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.line(10, 10, TFTscreen.width()-10, 10); delay(500);
  TFTscreen.line(TFTscreen.width()-10, 10, TFTscreen.width()-10, TFTscreen.height()-10); delay(500);
  TFTscreen.line(10, TFTscreen.height()-10, TFTscreen.width()-10, TFTscreen.height()-10); delay(500);
  TFTscreen.line(10, 10, 10, TFTscreen.height()-10); delay(500);
}

if(last_time == 17)
{
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.fill(0,0,0); // Задает цвет заливки фигур и текста. Сплошной прямоугольник
  TFTscreen.rect(TFTscreen.width()/2-20, TFTscreen.height()/2-20, 40, 40); // прямоугольник
  delay(500);
  TFTscreen.rect(TFTscreen.width()/2-10, TFTscreen.height()/2-10, 20, 20); // прямоугольник
  delay(500);
  TFTscreen.fill(255,255,255); // Задает цвет заливки фигур и текста. Сплошной прямоугольник
  TFTscreen.rect(TFTscreen.width()/2-5, TFTscreen.height()/2-5, 10, 10); // прямоугольник
}

if(last_time == 18)
{
  TFTscreen.background(0, 0, 0);
}

if(last_time == 19)
{
  TFTscreen.setTextSize(1.5);
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.setCursor(20, 40);  TFTscreen.println(F("Arduino TFT")); delay(500);
  TFTscreen.setCursor(20, 60);  TFTscreen.println(F("Example code")); delay(500);
  TFTscreen.setCursor(20, 80);  TFTscreen.println(F("Test LSD")); delay(500);
}

if(last_time == 20)
{
  TFTscreen.background(0, 0, 0);
}

if(last_time == 20)
{
  TFTscreen.setTextSize(15);
  TFTscreen.stroke(100, 80, 205); // set the font color
  TFTscreen.text('Ё', 20, 5);  
  delay(1000);  
  TFTscreen.setTextSize(4); 
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.text("Like", 50, 40);  
  delay(5000); 
}

if(last_time == 20)
{
  TFTscreen.background(0, 0, 0);
}

if(last_time == 21)
{
  TFTscreen.setRotation(2);
  
  TFTscreen.setTextSize(1.5);
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.setCursor(20, 40);  TFTscreen.println(F("Arduino TFT")); delay(500);
  TFTscreen.setCursor(20, 60);  TFTscreen.println(F("Example code")); delay(500);
  TFTscreen.setCursor(20, 80);  TFTscreen.println(F("Test LSD")); delay(500);
}

if(last_time == 22)
{
  TFTscreen.setRotation(1);
  TFTscreen.background(0, 0, 0);
}

if(last_time == 23)
{
  TFTscreen.setCursor(20, 110);  TFTscreen.println(F("Draw figures")); delay(500);

  TFTscreen.drawCircle(80, 60, 30, ST7735_YELLOW);
  delay(1000);
  TFTscreen.drawTriangle(20, 20, 100, 100, 20, 100, ST7735_RED);
  delay(1000);
  TFTscreen.drawRoundRect(30, 40, 60, 65, 20, ST7735_GREEN);
}

if(last_time == 24)
{
  TFTscreen.background(0, 0, 0);
}

if(last_time == 25)
{
  TFTscreen.fillCircle(80, 60, 30, ST7735_WHITE);
  delay(500);
  TFTscreen.fillTriangle(100, 60, 70, 40, 70, 80, ST7735_BLUE);
  delay(1000);
  TFTscreen.setCursor(70, 100);  TFTscreen.println(F("Play")); delay(1000);
  TFTscreen.setCursor(100, 100);  TFTscreen.println(F("Boy")); delay(500);
  TFTscreen.setCursor(120, 100);  TFTscreen.println(F(":)")); delay(500);
  delay(2000);
}

if(last_time == 26)
{
  TFTscreen.background(0, 0, 0);
}

if(last_time == 27)
{
  TFTscreen.setCursor(70, 20);  TFTscreen.println(F("Timer")); delay(500);
  TFTscreen.setTextSize(4);
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(100, 255, 243);  TFTscreen.println(F("5")); delay(500);
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(0, 0, 0);        TFTscreen.println(F("5"));
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(100, 255, 243);  TFTscreen.println(F("4")); delay(500);
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(0, 0, 0);        TFTscreen.println(F("4"));
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(100, 255, 243);  TFTscreen.println(F("3")); delay(500);
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(0, 0, 0);        TFTscreen.println(F("3"));
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(100, 255, 243);  TFTscreen.println(F("2")); delay(500);
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(0, 0, 0);        TFTscreen.println(F("2"));
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(100, 255, 243);  TFTscreen.println(F("1")); delay(500);
  TFTscreen.setCursor(75, 50);  TFTscreen.stroke(0, 0, 0);        TFTscreen.println(F("1"));
  TFTscreen.background(100, 100, 255); delay(100);
  TFTscreen.background(255, 255, 255); delay(100);
  TFTscreen.background(100, 100, 255); delay(100);
  TFTscreen.background(255, 255, 255); delay(100);
  TFTscreen.background(100, 100, 255); delay(100);
  TFTscreen.background(255, 255, 255); delay(100);
  TFTscreen.background(0, 0, 0); delay(1000);
}



if(last_time == 28)
{
  TFTscreen.background(100, 100, 255);
  TFTscreen.setTextSize(2);
  TFTscreen.setCursor(10, 50);  TFTscreen.println(F("Low battery")); 
  delay(2000);
  TFTscreen.background(100, 100, 255);
  TFTscreen.fill(0,0,0); // Задает цвет заливки фигур и текста. Сплошной прямоугольник
  TFTscreen.rect(0, 0, TFTscreen.width(), 50); // прямоугольник
  TFTscreen.rect(0, 80, TFTscreen.width(), TFTscreen.height()); // прямоугольник
  delay(1000);
  TFTscreen.setTextSize(2);
  TFTscreen.setCursor(10, 60);  TFTscreen.println(F("I'll be back")); 
  delay(2000);
  TFTscreen.rect(0, 00, TFTscreen.width(), TFTscreen.height()); // прямоугольник
  delay(2000);
  TFTscreen.setTextSize(2);
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.setCursor(10, 60);  TFTscreen.println(F("I'll be back")); 
  delay(2000);
  TFTscreen.background(0, 0, 0);
  TFTscreen.setTextSize(1);
  TFTscreen.setCursor(10, 60);  TFTscreen.println(F("Shutdown...")); 
  delay(2000);
  TFTscreen.background(0, 0, 0);
  delay(2000); 
}


if(last_time == 29)
{
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(i, 0, 0); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(0, i, 0); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(0, 0, i); delay(50); 
  }
  
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(i, 255, 255); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(255, i, 255); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(255, 255, i); delay(50); 
  }

  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(i, i, 0); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(0, i, i); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(0, 255, i); delay(50); 
  }
  
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(i, i, i); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(255, i, 0); delay(50); 
  }
  for(int i=0; i <= 255; i=i+20)
  {
    TFTscreen.background(0, i, 255); delay(50); 
  }
}


if(last_time == 30)
{
  TFTscreen.background(0, 0, 0);
  TFTscreen.setTextSize(1);
  TFTscreen.stroke(255, 255, 255); // set the font color
  TFTscreen.setCursor(15, 110);  TFTscreen.println(F("Subscribe ;)")); 
  delay(3000);
  TFTscreen.background(0, 0, 0);
}


  delay(1000);
 
}
